This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 455333 - Error on installation of kernel-devel 2.6.26-136.fc10
Error on installation of kernel-devel 2.6.26-136.fc10
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
: 455433 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-14 16:38 EDT by Quentin Armitage
Modified: 2008-07-15 13:49 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-15 13:49:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/tmp/rpm-tmp.59649 file created by yum install kernel-devel (298 bytes, text/plain)
2008-07-14 16:38 EDT, Quentin Armitage
no flags Details

  None (edit)
Description Quentin Armitage 2008-07-14 16:38:23 EDT
Description of problem:
I get the following error on installation of kernel-devel 2.6.26-
136.f10
/var/tmp/rpm-tmp.59649: line 12:  : command not found
error: %post(kernel-devel-2.6.26-136.fc10.i686) scriptlet failed, exit status 
127

Version-Release number of selected component (if applicable):
kernel-2.6.26-136.fc10

How reproducible:
Always

Steps to Reproduce:
1.yum install kernel-devel
2.
3.
  
Actual results:
Error message given above

Expected results:
No error message

Additional info:
Up to and including kernel-2.6.26-0.131.fc9.git9.fc10 I didn't get the error 
messages.
Version of rpm installed: rpm-4.4.2.3-2.fc9.i386. (I haven't yet updated rpm to
4.5.90-0.git8426.6 due to dependency failures. I will file a separate bug for that.

I attach a new /var/tmp/rpm-tmp.59649. It is not easy to catch since it only
exists for a few milli-seconds.

There appears to be a stray \x19 (^Y) character at end of the file (line 12)

See bug 455307 for original details.
Comment 1 Quentin Armitage 2008-07-14 16:38:23 EDT
Created attachment 311774 [details]
/var/tmp/rpm-tmp.59649 file created by yum install kernel-devel
Comment 2 Quentin Armitage 2008-07-14 18:02:25 EDT
Problem still occurs with rpm version rpm-4.5.90-0.git8426.6.i386
Comment 3 sangu 2008-07-14 19:06:23 EDT
This issue happens in rpm-4.4.2.3-2.fc9.i386, too.
Comment 4 Panu Matilainen 2008-07-15 03:01:11 EDT
Ok, there IS a stray character at the last line of the script in that package,
shell is going to barf on that no matter what rpm version you try with. It's a
build/macro expansion issue with the new rpm, off-by-one somewhere or similar.
Doesn't seem to be reliably reproducable (haven't been able to reproduce it yet)
so it might be hard to find, but I'll look into it.
Comment 5 Panu Matilainen 2008-07-15 13:41:56 EDT
*** Bug 455433 has been marked as a duplicate of this bug. ***
Comment 6 Panu Matilainen 2008-07-15 13:49:09 EDT
This should be fixed in rpm-4.5.90-0.git8426.8 which just finished building.
Again, note it's a build-, not run-time issue so you wont see any change until a
new kernel package is built with the fixed rpm.

Note You need to log in before you can comment on or make changes to this bug.